# -*- coding: utf-8 -*-

"""
DSuper8 project based on Joe Herman's rpi-film-capture.

Software modified by Manuel Ángel.

User interface redesigned by Manuel Ángel.

codes.py: Codes used for client-server communication.

Latest version: July 2021.
"""

# Initial settings

# zoomDial
SETZ = "6"

# roiUpButton - roiDownButton
SETY = "7"

# roiLeftButton - roiRightButton
SETX = "8"

# lightCheckbox
LIGHT_ON = "l"
LIGHT_OFF = "L"

# prevCheckBox
PREVIEW_ON = "p"
PREVIEW_OFF = "P"

# fRevButton
MOTOR_FREV = ","

# reverseButton
MOTOR_REV = "<"

# stopButton
MOTOR_STOP = "~"

# forwardButton
MOTOR_FWD = ">"

# ffdButton
MOTOR_FFD = "."

# Camera settings

# brightnessBox
BRIGHTNESS = "y"

# ISOcomboBox
ISO = "I"

# EV
EXP_COMP = "e"

# awbBox
AWB_MODE = "w"

# colorSetBtn
FIX_GAINS = "W"

# blueGainBox
GAIN_BLUE = "b"

# redGainBox
GAIN_RED = "r"

# saturationBox
SATURATION = "s"

# contrastBox
CONTRAST = "k"

# quitButton
CLIENT_QUIT = "0"

# Capture

# bracketing
BRACKETING_SHOTS = "f"

# stopsBox
BRACKETING_STOPS = "F"

# autoExpCheckBox
AUTOEXP_ON = "4"
AUTOEXP_OFF = "$"

# captureTestBtn
TEST_PHOTO = "t"

# timeExpBox
FIX_EXPOSURE = "x"

# frameLcd
UPDATE_FRAME = "u"
NO_UPDATE_FRAME = "U"

# activateMotorCheckBox
ACTIVATE_MOTOR = "a"
DEACTIVATE_MOTOR = "A"

# captureFrmRev10 - captureFrmRev
CAP_FRAME_REV = ":"

# captureFrmAdv - captureFrmAdv10
CAP_FRAME_ADV = ";"

# captureStopBtn - capturePauseBtn pressed
STOP_CAPTURE = "O"

# captureStartBtn - capturePauseBtn released
START_CAPTURE = "o"
NEW_IMAGE = "n"

# Advanced settings

# vflip
VFLIP_ON = "v"
VFLIP_OFF = "V"

# hflip
HFLIP_ON = "h"
HFLIP_OFF = "H"

# bw
BW_ON = "g"
BW_OFF = "G"

# drcBox
DRC = "d"

# sharpnessBox
SHARPNESS = "Z"

# resolutionBox
SET_SIZE = "*"

# stillCap
VID_PORT_ON = "j"
VID_PORT_OFF = "J"
